![]() | Chamfer Class |
The Chamfer class defines how the corners of a polybeam or a contour plate are rounded.

Namespace: Tekla.Structures.Model
Assembly: Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2023.0.1

The Chamfer type exposes the following members.

Name | Description | |
---|---|---|
![]() | Chamfer |
Creates a chamfer instance with the basic shape type CHAMFER_NONE.
|
![]() | Chamfer(Double, Double, ChamferChamferTypeEnum) |
Instantiates a chamfer with the given values.
|

Name | Description | |
---|---|---|
![]() | DZ1 |
The thickness above the offset.
Note that this does nothing when used with the PolyBeam. |
![]() | DZ2 |
The thickness below the offset.
Note that this does nothing when used with the PolyBeam. |
![]() | Type |
The basic shape type of the chamfer.
|
![]() | X |
The dimension of the chamfer.
|
![]() | Y |
The second dimension of straight chamfers.
|

using Tekla.Structures.Model; using Tekla.Structures.Geometry3d; public class Example { public void Example1() { ContourPoint point1 = new ContourPoint(new Point(0, 4000, 0), null); ContourPoint point2 = new ContourPoint(new Point(2000, 4000, 0), new Chamfer(0, 0, Chamfer.ChamferTypeEnum.CHAMFER_ARC_POINT)); ContourPoint point3 = new ContourPoint(new Point(0, 6000, 0), null); point2.Chamfer.DZ1 = 2500; point2.Chamfer.DZ2 = 0; ContourPlate cp = new ContourPlate(); cp.AddContourPoint(point1); cp.AddContourPoint(point2); cp.AddContourPoint(point3); cp.Finish = "FOO"; cp.Material.MaterialString = "Steel_Undefined"; cp.Profile.ProfileString = "PL200"; cp.Insert(); } }
